Installing and running uim robot and probes on Suse Linux 12 SP2 servers

Document ID : KB000008630
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

We have installed nimsoft robot on server .The OS is SUSE Linux Enterprise Server 12 (x86_64). 

When we try to deploy probes for example ,cdm probe we see compatibility messages in controller logs as below.

 

Controller Logs: 

Oct 18 11:05:11:483 [139780879537920] Controller: machine: x86_64 

Oct 18 11:05:11:483 [139780879537920] Controller: Could not figure out what Linux version you are running! 

Oct 18 11:05:11:483 [139780879537920] Controller: Please report the following system information to support@nimsoft.com 

Oct 18 11:05:11:483 [139780879537920] Controller: System information: 

Oct 18 11:05:11:483 [139780879537920] Controller: sysname: Linux 

Oct 18 11:05:11:483 [139780879537920] Controller: node : gb-end-repsruat 

Oct 18 11:05:11:483 [139780879537920] Controller: release: 4.4.21-69-default 

Oct 18 11:05:11:483 [139780879537920] Controller: version: #1 SMP Tue Oct 25 10:58:20 UTC 2016 (9464f67) 

Oct 18 11:05:11:483 [139780879537920] Controller: inst_pkg - warning, no compatible package sections found for package 'robot_update'

 

Environment:
UIM 8.4xUIM 8.5x
Cause:

Running a robot version older than version 7.92 on Suse linux 12 SP2 servers

Older versions of robot are not compatible with this release

Resolution:

Robot 7.92 or higher is required to work correctly on SUSE Linux Enterprise Server 12 (x86_64) SP2 

Please contact support via support ticket to get the installers if required for this version

If running older version of robot on this platform please uninstall the older robot version and install version 7.92 of robot.

After installing the robot follow the link below to enable the nimbus service 

Enable the nimbus Service

https://docops.ca.com/ca-unified-infrastructure-management/8-5-1/en/installing-ca-uim/install-secondary-hubs/deploy-hubs-and-robots-on-linux-or-solaris-systems#DeployHubsandRobotsonLinuxorSolarisSystems-EnablethenimbusService

 

 

 

Additional Information:
There is currently no 7.92GA release - this hotfix was developed before release, and rather than releasing 7.92GA we have chosen to release this hotfix. 
The next robot_update release which contains these fixes will be 7.95.